Package org.jbpm.services.task.identity

## Class PropertyUserInfoImpl

- java.lang.Object
- - org.jbpm.services.task.identity.AbstractUserGroupInfo
  - - org.jbpm.services.task.identity.DefaultUserInfo
    - - org.jbpm.services.task.identity.PropertyUserInfoImpl

- All Implemented Interfaces:
    `org.kie.api.task.UserInfo`, `org.kie.internal.task.api.UserInfo`

      public class PropertyUserInfoImpl
      extends DefaultUserInfo
      implements org.kie.internal.task.api.UserInfo

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.identity.DefaultUserInfo

      `DEFAULT_USER_PROPS_LOCATION, registry`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PropertyUserInfoImpl​(boolean activate)` |
    `PropertyUserInfoImpl​(Properties registryProps)` | Constructs default UserInfo implementation to provide required information to the escalation handler.

  - ### Method Summary

    - ### Methods inherited from class org.jbpm.services.task.identity.DefaultUserInfo

      `buildRegistry, getDisplayName, getEmailForEntity, getEntityForEmail, getLanguageForEntity, getMembersForGroup, hasEmail`

    - ### Methods inherited from class org.jbpm.services.task.identity.AbstractUserGroupInfo

      `readProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.internal.task.api.UserInfo

      `getDisplayName, getEmailForEntity, getEntityForEmail, getLanguageForEntity, getMembersForGroup, hasEmail`

- - ### Constructor Detail

    - #### PropertyUserInfoImpl

          public PropertyUserInfoImpl​(boolean activate)

    - #### PropertyUserInfoImpl

          public PropertyUserInfoImpl​(Properties registryProps)

      Constructs default UserInfo implementation to provide required information to the escalation handler. following is the string for every organizational entity entityId=email:locale:displayname:[member,member] members are optional and should be given for group entities
      Parameters:
        `registryProps` -